const winston = require("winston");
const get_console_format = require("./get_console_format.js");

const CONSOLE_LEVEL = process.env.NODE_CONSOLE_LEVEL || "info";

function get_console_transport(source) {
	let console_transport = new winston.transports.Console({
		format: get_console_format(source),
		level: CONSOLE_LEVEL
	});

	return console_transport;
}

module.exports = get_console_transport;
