const bot_himself_logger = require('./bot_himself');
const exchanges_loggers = require('./exchanges');
const trading_strategies_loggers = require('./trading_strategies');
const databases_loggers = require('./databases');

const loggers = Object.assign(
	bot_himself_logger,
	{
		exchanges: exchanges_loggers,
		trading_strategies: trading_strategies_loggers,
		databases: databases_loggers
	}
);

module.exports = loggers;



// let logtest = winston.loggers.get('binance');
// console.log(logtest.transports)

// let logtest2 = winston.loggers.get('bittrex');

// logtest.info('\nblabla\n');
// logtest.error('WARNING !!\n\n');
// logtest2.error('WARNING !!\n\n')

